# asbutton

A new Flutter package.

## Getting Started

```
//DEFINE BUTTON ACTION
pressAction() {
   return _scaffoldKey.currentState
       .showSnackBar(new SnackBar(content: new Text("THIS IS BUTTON ACTION")));
 }
 
//BUTTON WITH TEXT, BACKGOUND COLOR AND CORNER RADIUS
Container(
  margin: EdgeInsets.fromLTRB(50, 50, 50, 10),
  height: 50,
  child: ASButton(pressAction, "Login",
      btnColor: Colors.blue, cornerRadius: 50.0),
),

//BUTTON WITH TEXT ACTION AND TEXT 
Container(
    margin: EdgeInsets.fromLTRB(50, 10, 50, 10),
    height: 50,
    child: ASButton(pressAction, "Signup"),
),

//BUTTON WITH ACTION AND CUSTOM IMAGE IN YOUR LOCAL PROJECT 
Container(
  width: 50,
  height: 60,
  child:
      ASButtonCustomIcon(pressAction, 'assets/images/home.png'),
),

//BUTTON WITH ACTION AND SYSTEM ICON PROVIDED BY FLUTTER
Container(
  width: 50,
  height: 60,
  child: ASButtonWithSystemIcon(pressAction, Icons.arrow_back_ios),
),

```

